API ReferenceTask Repeater
Creates a TaskRepeater resource
Creates a TaskRepeater resource
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
The new TaskRepeater resource
TypeScript Definitions
Use the request body type in TypeScript.
boardColumn*string
Format
uuidname*string
Length
length <= 100dateStartOffset*integer
Range
0 <= value <= 365Default
0dateEndOffset*integer
Range
1 <= value <= 365Default
1description?|
Length
length <= 100000priority*string
Default
"normal"Value in
- "low"
- "normal"
- "high"
dateStart*string
Format
date-timedateEnd*string
Format
date-timetimezone*string
Length
length <= 60frequency*integer
Range
0 <= valueintervalType*string
Value in
- "daily"
- "weekday"
- "monthly"
- "yearly"
weekday?array<>
Response Body
curl -X POST "https://example.com/project/task-repeaters" \ -H "Content-Type: application/json" \ -d '{ "boardColumn": "4f54fe4b-83b5-4ea8-9520-0f5446263573", "name": "string", "dateStartOffset": 0, "dateEndOffset": 1, "priority": "low", "dateStart": "2019-08-24T14:15:22Z", "dateEnd": "2019-08-24T14:15:22Z", "timezone": "string", "frequency": 0, "intervalType": "daily" }'{ "id": "string", "taskTemplate": "https://example.com/", "boardColumn": "https://example.com/", "createdBy": "https://example.com/", "dateStartOffset": 0, "dateEndOffset": 1, "dateStart": "2019-08-24T14:15:22Z", "dateEnd": "2019-08-24T14:15:22Z", "timezone": "string", "lastExecution": "string", "nextExecution": "2019-08-24T14:15:22Z", "frequency": 0, "intervalType": "string", "weekday": [], "createdAt": "2019-08-24T14:15:22Z", "status": "string"}